=== debian/changelog ===
msopenh264 (1.2.1~git20211104.9352c50-2) unstable; urgency=medium

  * Source-only upload.

 -- Bernhard Schmidt <berni@debian.org>  Mon, 28 Nov 2022 10:54:21 +0100

msopenh264 (1.2.1~git20211104.9352c50-1) unstable; urgency=low

  [ Dennis Filder ]
  * New upstream release 1.2.1~git20211104.9352c50
  * Initial packaging.

 -- Bernhard Schmidt <berni@debian.org>  Wed, 12 Oct 2022 18:08:09 +0200
