=== debian/control ===
Source: msopenh264
Section: video
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Bernhard Schmidt <berni@debian.org>,
Build-Depends: debhelper-compat (= 13),
 cmake,
 libmediastreamer-dev,
 libopenh264-dev (>= 2.3.1~),
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://gitlab.linphone.org/BC/public/msopenh264
Vcs-Git: https://salsa.debian.org/pkg-voip-team/linphone-stack/msopenh264.git
Vcs-Browser: https://salsa.debian.org/pkg-voip-team/linphone-stack/msopenh264

Package: mediastreamer2-plugin-openh264
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: OpenH264 plugin for Mediastreamer2 (plugin)
 This package contains a plugin for the Mediastreamer2 streaming
 framework enabling the use of the OpenH264 codec.
