=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure --buildsystem=cmake -- -DCMAKE_SKIP_RPATH=ON -DENABLE_STATIC=OFF

# Disable dh_auto{reconf,tools_update_config} as we only use cmake.
override_dh_autoreconf:
override_dh_autotools_update_config:
