## msopenh264 5.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -78,6 +78,10 @@
 	elseif(CMAKE_C_COMPILER_ID STREQUAL "GNU")
 		set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Werror -Wextra -Wno-error=pragmas")
 	endif()
+else()
+	if(CMAKE_SYSTEM_NAME STREQUAL "WindowsStore")
+		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /ZW /EHsc /await")
+	endif()
 endif()
 
 add_subdirectory(src)
