=== debian/changelog ===
msopenh264 (5.2.0-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:57:58 +1100

msopenh264 (5.2.0-2build2) noble; urgency=medium

  * Rebuild against new libmediastreamer13t64.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 26 Mar 2024 07:46:50 +0100

msopenh264 (5.2.0-2build1) noble; urgency=medium

  * No-change rebuild against libbctoolbox1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 03:00:55 +0000

msopenh264 (5.2.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Bernhard Schmidt <berni@debian.org>  Sat, 29 Jul 2023 22:08:41 +0200

msopenh264 (5.2.0-1) experimental; urgency=medium

  * New upstream release 5.2.0.
  * Comply with Debian policy v4.6.2.

 -- Dennis Filder <d.filder@web.de>  Mon, 19 Dec 2022 20:29:18 +0100
