=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: msopenh264
 Section: video
 Priority: optional
-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Bernhard Schmidt <berni@debian.org>,
 Build-Depends: debhelper-compat (= 13),
  cmake,
- libmediastreamer-dev,
+ libmediastreamer-dev (>= 5.2.0~),
  libopenh264-dev (>= 2.3.1~),
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://gitlab.linphone.org/BC/public/msopenh264
 Vcs-Git: https://salsa.debian.org/pkg-voip-team/linphone-stack/msopenh264.git
 Vcs-Browser: https://salsa.debian.org/pkg-voip-team/linphone-stack/msopenh264
