=== debian/watch ===
# last tagged release was 1.2.1 (2017-07-20), so follow master/HEAD
version=4
opts=\
mode=git,\
pgpmode=none,\
pretty=1.2.1~git%cd.%h,\
compression=xz \
  https://gitlab.linphone.org/BC/public/msopenh264.git \
  HEAD
