## msopenh264 5.2.0%2Bgit20240521.041b07a

=== debian/watch ===
# last tagged release was 5.2.0, so follow master/HEAD
version=4
opts=\
mode=git,\
pgpmode=none,\
pretty=5.2.0+git%cd.%h,\
compression=xz \
  https://gitlab.linphone.org/BC/public/msopenh264.git \
  HEAD
