## msopenh264 5.2.0+git20240521.041b07a

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ############################################################################
 # CMakeLists.txt
-# Copyright (C) 2014  Belledonne Communications, Grenoble France
+# Copyright (C) 2014-2023  Belledonne Communications, Grenoble France
 #
 ############################################################################
 #
@@ -21,8 +21,9 @@
 ############################################################################
 
 cmake_minimum_required(VERSION 3.0)
-project(msopenh264 VERSION 1.2.1 LANGUAGES CXX)
+project(MSOpenH264 VERSION 1.2.1 LANGUAGES CXX)
 
+set(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/lib/mediastreamer2/plugins")
 
 set(PACKAGE "${PROJECT_NAME}")
 set(PACKAGE_NAME "${PROJECT_NAME}")
@@ -34,9 +35,7 @@
 set(VERSION "${PACKAGE_VERSION}")
 
 
-option(ENABLE_SHARED "Build shared library." YES)
-option(ENABLE_STATIC "Build static library." YES)
-option(ENABLE_DECODER "Enable the openh264 decoder" Yes)
+option(ENABLE_DECODER "Enable the openh264 decoder" ON)
 
 include(GNUInstallDirs)
 
@@ -45,28 +44,15 @@
 	message(STATUS "Setting install rpath to ${CMAKE_INSTALL_RPATH}")
 endif()
 
-list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
+list(APPEND CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake")
 
 include(CheckIncludeFileCXX)
 check_include_file_cxx("stdbool.h" HAVE_STDBOOL_H)
 
-find_package(Mediastreamer2 CONFIG REQUIRED)
-find_package(ortp CONFIG REQUIRED)
-find_package(bctoolbox CONFIG REQUIRED)
-
+find_package(Mediastreamer2 5.3.0 REQUIRED)
 find_package(OpenH264 REQUIRED)
 
-configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
-
-include_directories(
-	${MEDIASTREAMER2_INCLUDE_DIRS}
-	${OPENH264_INCLUDE_DIRS}
-	src
-	${CMAKE_CURRENT_BINARY_DIR}
-	${CMAKE_CURRENT_BINARY_DIR}/src
-)
-
-add_definitions(-DHAVE_CONFIG_H -std=c++11)
+configure_file("${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake" "${CMAKE_CURRENT_BINARY_DIR}/config.h")
 
 if(NOT MSVC)
 	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wno-error=unknown-pragmas")
