=== debian/changelog ===
msopenh264 (5.2.0+git20240521.041b07a-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix for FTBFS with CMake 4. (Closes: #1113299)

 -- Adrian Bunk <bunk@debian.org>  Sat, 11 Oct 2025 15:54:27 +0300

msopenh264 (5.2.0+git20240521.041b07a-2) unstable; urgency=medium

  * Build shared library. (Closes: #1099079)

 -- Bastian Germann <bage@debian.org>  Fri, 28 Feb 2025 08:58:09 +0100

msopenh264 (5.2.0+git20240521.041b07a-1) unstable; urgency=medium

  * Team upload.
  * d/watch: Scan for newer versions.
  * New upstream snapshot 5.2.0+git20240521.041b07a.

 -- Bastian Germann <bage@debian.org>  Wed, 26 Feb 2025 22:35:19 +0100

msopenh264 (5.2.0-3) experimental; urgency=medium

  * Add shlibs.local entry for libortp with version tightened to the one
    that links with the same libbctoolbox that
    mediastreamer2-plugin-openh264 links with.

 -- Dennis Filder <d.filder@web.de>  Thu, 05 Oct 2023 21:37:10 +0200
