=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: msopenh264
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Bernhard Schmidt <berni@debian.org>,
 Build-Depends: debhelper-compat (= 13),
  cmake,
- libmediastreamer-dev (>= 5.2.0~),
+ libmediastreamer-dev (>= 5.2.98~),
  libopenh264-dev (>= 2.3.1~),
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
