=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 	dh $@ --buildsystem=cmake
 
 override_dh_auto_configure:
-	dh_auto_configure --buildsystem=cmake -- -DCMAKE_SKIP_RPATH=ON -DENABLE_STATIC=OFF
+	dh_auto_configure --buildsystem=cmake -- -DCMAKE_SKIP_RPATH=ON -DBUILD_SHARED_LIBS=ON
 
 # Disable dh_auto{reconf,tools_update_config} as we only use cmake.
 override_dh_autoreconf:
